Skip to main content
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
webhooks
List Webhooks
curl --request GET \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/webhooks \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'
{
  "api_version": "v1",
  "data": {
    "endpoints": [
      {
        "token": "wh_f52d84b4-a140-4a3a-b707-80644232e926",
        "aggregator_id": "agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e",
        "url": "https://github.com/HasCold",
        "description": "this is the testing url",
        "enabled": true,
        "event_filter_json": "[\"payment.created\",\"payment.authorized\"]",
        "created_at": "2025-12-02T12:48:35Z",
        "updated_at": "2025-12-02T12:53:10Z",
        "secret": "9sU3KVM5iQYZsxt40st1nkJsvbyuLnquB3Re1Q7k08w=",
        "secret_version": 1,
        "secret_rotated_at": "2025-12-02T12:48:35Z"
      }
    ],
    "count": "1"
  }
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Query Parameters

limit
string

Maximum number of webhook endpoints to include in the response

Example:

"10"

offset
string

Number of webhook endpoints to skip before starting the result set

Example:

"0"

Response

This response contains a paginated list of webhook endpoints

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Paginated collection of webhook endpoints